SDL_MessageBoxButtonData Struct Reference

`#include <SDL_messagebox.h>`

## Data Fields

SDL_MessageBoxButtonFlags | flags
int | buttonID
const char * | text

## Detailed Description

Individual button data.

Since
  This struct is available since SDL 3.2.0.

Definition at line 82 of file SDL_messagebox.h.

## Field Documentation

## buttonID

int SDL_MessageBoxButtonData::buttonID

User defined button id (value returned via SDL_ShowMessageBox)

Definition at line 85 of file SDL_messagebox.h.

## flags

SDL_MessageBoxButtonFlags SDL_MessageBoxButtonData::flags

Definition at line 84 of file SDL_messagebox.h.

## text

const char* SDL_MessageBoxButtonData::text

The UTF-8 button text

Definition at line 86 of file SDL_messagebox.h.

The documentation for this struct was generated from the following file:

- SDL_messagebox.h